#!/usr/bin/perl -w

use strict;
use IO::File;
use XML::Driver::HTML;
use XML::Handler::YAWriter;

my $handler = XML::Handler::YAWriter->new(
    'Output' => new IO::File ( ">-" ),
    'Pretty' => {
                 'NoWhiteSpace'=>1,
                 'NoComments'=>1,
                 'AddHiddenNewline'=>1,
                 'AddHiddenAttrTab'=>1,
                }
    );


my $parser = XML::Driver::HTML->new(
    'Handler' => $handler,
    'Source' => { 'ByteStream' => new IO::File ( "<-" ) }
    );

$parser->parse();

